{
  "name": "corporate_culture-qd",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  },
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "type-check": "vue-tsc --build",
    "lint": "oxlint --fix && eslint . --fix --cache",
    "lint:oxlint": "oxlint --fix",
    "lint:eslint": "eslint . --fix --cache",
    "format": "oxfmt",
    "format:check": "oxfmt --check",
    "build-only": "vite build",
    "build:dev": "nvm use 20 && vite build --mode development",
    "build:test": "nvm use 20 && vite build --mode test",
    "deploy:test": "node deploy/deploytest.js",
    "build:prod": "nvm use 20 && vite build --mode production",
    "deploy:prod": "node --env-file=.env.local deploy/deployprod.js",
    "deploy:prod:update-info": "node --env-file=.env.local deploy/deployprod.js --update-info"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.2",
    "@lucky-canvas/vue": "^0.1.11",
    "@types/crypto-js": "^4.2.2",
    "@vueuse/components": "^14.0.0",
    "@vueuse/core": "^14.0.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "@wecom/jssdk": "^2.3.3",
    "archiver": "^7.0.1",
    "axios": "^1.13.0",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.19",
    "element-plus": "^2.11.5",
    "gsap": "^3.14.2",
    "inquirer": "^13.0.2",
    "notivue": "^2.4.5",
    "pinia": "^3.0.3",
    "ssh2": "^1.17.0",
    "textarea-caret": "^3.1.0",
    "vue": "^3.5.22",
    "vue-router": "^4.6.3",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@iconify-json/ep": "^1.2.3",
    "@tsconfig/node22": "^22.0.2",
    "@types/node": "^22.18.11",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vitejs/plugin-vue-jsx": "^5.1.5",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.6.0",
    "@vue/tsconfig": "^0.8.1",
    "baseline-browser-mapping": "^2.9.14",
    "eslint": "^9.37.0",
    "eslint-plugin-vue": "~10.5.0",
    "jiti": "^2.6.1",
    "npm-run-all2": "^8.0.4",
    "oxfmt": "^0.44.0",
    "oxlint": "^1.59.0",
    "rollup-plugin-visualizer": "^6.0.5",
    "sass-embedded": "^1.93.2",
    "typescript": "~5.9.0",
    "unocss": "^66.5.4",
    "unplugin-auto-import": "^20.2.0",
    "unplugin-icons": "^22.5.0",
    "unplugin-vue-components": "^30.0.0",
    "vite": "^8.0.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-plugin-vue-devtools": "^8.0.3",
    "vue-tsc": "^3.1.1"
  }
}
